Subject: bug#60220: 29.0.60; macOS 13.1 crash shortly after starting Emacs

From: Andrea Corallo <[email-masked]>
Date: Tue, 10 Jan 2023 15:28:48 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Andrea Corallo <[email-masked]>
>> Cc: Aaron Jensen <[email-masked]>, [email-masked],
>>         [email-masked], [email-masked]
>> Date: Wed, 04 Jan 2023 15:51:17 +0000
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> >> Would it make sense to use block_atimers while loading native lisp? If
>> >> that's a workable thing and you can send me a patch I can try it out.
>> >
>> > Andrea, can you suggest a patch along these lines for Aaron to try?
>> >
>> > Thanks.
>> 
>> Hi Eli,
>> 
>> sorry I'm traveling with sporadic access to the PC till next week.  If
>> the issue is still present I'll work on it next week.
>
> Thanks in advance.

Hi all,

I pushed a change that should block atimers during native code loads,
it's in 'scratch/native-timers-blocked'.

I haven't tested it deeply but seems to work for me.  If anyone likes to
test it or play with it is there.

BR

  Andrea